Subject: Re: [PATCH v3 0/8] builtin: implement, document and test url-parse

From: Torsten Bögershausen <[email-masked]>
Date: Sun, 3 May 2026 19:28:38 +0200

> 
> The series consists of eight commits.

Reviewers comment: Nicely done.

> Changes since v2:
> 
>  * Fix Windows CI failure: handle DOS drive prefix in the helpful local-path
>    error. With this, the message for a drive-letter input like C:/repo (or
>    an MSYS-mangled /abs/path that bash rewrites to D:/.../abs/path before
>    git sees it) gets the specific file:///<input> suggestion rather than the
>    generic fallback. No effect on Linux or macOS, since has_dos_drive_prefix
>    is a no-op on non-Windows builds.
> 
>  * t9904: relax the grep on the absolute-path test from the literal
>    file:///abs/path to the structural file:/// (three slashes). The original
>    assertion depended on the input being preserved verbatim, which MSYS does
>    not do. The relaxed grep verifies the structurally meaningful property
>    (specific URL suggestion was produced, not the generic fallback) and runs
>    cross-platform.

More a question to myself, may be, about t9904 (and may be other parts)
I have in mind that the parser learned to handle

file://server/share/repo
correctly under Windows.
I don't know if this needs to be addressed here or in a follow-up commit ?
The \\server\share\repo is an UNC name, which is handled by the
Windows file system, backslashes towards windows must be used (which we do)
and '/' may be used outside Git.

commit ebb8d2c90fb0840a0803935804e37e2205505f23
Author: Torsten Bögershausen <[email-masked]>
Date:   Sat Aug 24 15:07:59 2019 -0700

    mingw: support UNC in git clone file://server/share/repo
    
    Extend the parser to accept file://server/share/repo in the way that
    Windows users expect it to be parsed who are used to referring to file
    shares by UNC paths of the form \\server\share\folder.
    
    [jes: tightened check to avoid handling file://C:/some/path as a UNC
    path.]
    
    This closes https://github.com/git-for-windows/git/issues/1264.